package com.hfkj.service.spread;

import com.hfkj.entity.BsUserSpreadPower;

/**
 * @className: BsUserSpreadPowerService
 * @author: HuRui
 * @date: 2025/3/31
 **/
public interface BsUserSpreadPowerService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsUserSpreadPower data);

    /**
     * 开通权限
     * @param userId
     */
    void open(Long userId);

    /**
     * 查询详情
     * @param userId
     * @return
     */
    BsUserSpreadPower getDetailByUser(Long userId);

}
